| Kea 3.0.2-git

ddns_params.h File Reference
`#include <cc/data.h>`
`#include <dhcpsrv/subnet.h>`
`#include <util/optional.h>`
`#include <util/str.h>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for ddns_params.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::DdnsParams
| Convenience container for conveying DDNS behavioral parameters It is intended to be created per Packet exchange using the selected subnet passed into functions that require them. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< DdnsParams > | isc::dhcp::DdnsParamsPtr
| Defines a pointer for DdnsParams instances.